package domain

type AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo struct {
	/*
	   商品对应的活动Id，仅当同一次任务有相关活动更新的时候在传入     */
	ActivityVersionId *int64 `json:"activity_version_id,omitempty" `

	/*
	   限购权重     */
	LimitWeight *int64 `json:"limit_weight,omitempty" `

	/*
	   更新时间     */
	UpdateTime *int64 `json:"update_time,omitempty" `

	/*
	   插入时间     */
	InsertTime *int64 `json:"insert_time,omitempty" `

	/*
	   状态：0--不可用，1--可用     */
	Status *int64 `json:"status,omitempty" `

	/*
	   门槛数量：件/金额（分）     */
	ConditionNum *int64 `json:"condition_num,omitempty" `

	/*
	   门槛类型：2-累计金额消费，3-累计购买次数消费     */
	ConditionType *int64 `json:"condition_type,omitempty" `

	/*
	   赠品skuCode     */
	GiftSkuCode *string `json:"gift_sku_code,omitempty" `

	/*
	   买赠门槛     */
	BuyNum *int64 `json:"buy_num,omitempty" `

	/*
	   活动每日限购     */
	TotalDayLimit *int64 `json:"total_day_limit,omitempty" `

	/*
	   用户每日限购     */
	UserDayLimit *int64 `json:"user_day_limit,omitempty" `

	/*
	   总限购数量     */
	TotalLimit *int64 `json:"total_limit,omitempty" `

	/*
	   用户限购     */
	UserLimit *int64 `json:"user_limit,omitempty" `

	/*
	   打折     */
	DiscountRate *int64 `json:"discount_rate,omitempty" `

	/*
	   减钱     */
	DecreaseMoney *int64 `json:"decrease_money,omitempty" `

	/*
	   一口价     */
	FixPrice *int64 `json:"fix_price,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品池ID     */
	PoolId *int64 `json:"pool_id,omitempty" `

	/*
	   所属活动ID     */
	PromotionId *string `json:"promotion_id,omitempty" `

	/*
	   大润发活动类型     */
	ActivityType *int64 `json:"activity_type,omitempty" `

	/*
	   淘鲜达活动Id     */
	TxdActivityId *int64 `json:"txd_activity_id,omitempty" `

	/*
	   对应单品积分活动。对应需要扣除的积分数     */
	DeductPoint *int64 `json:"deduct_point,omitempty" `
}

func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetActivityVersionId(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.ActivityVersionId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetLimitWeight(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.LimitWeight = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetUpdateTime(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.UpdateTime = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetInsertTime(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.InsertTime = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetStatus(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.Status = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetConditionNum(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.ConditionNum = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetConditionType(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.ConditionType = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetGiftSkuCode(v string) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.GiftSkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetBuyNum(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.BuyNum = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetTotalDayLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.TotalDayLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetUserDayLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.UserDayLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetTotalLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.TotalLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetUserLimit(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.UserLimit = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetDiscountRate(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.DiscountRate = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetDecreaseMoney(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.DecreaseMoney = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetFixPrice(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.FixPrice = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetSkuCode(v string) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetPoolId(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.PoolId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetPromotionId(v string) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.PromotionId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetActivityType(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.ActivityType = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetTxdActivityId(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.TxdActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo) SetDeductPoint(v int64) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncDrfTxdActivitySkuBo {
	s.DeductPoint = &v
	return s
}
